RTCPSenderInfo Class Reference
RTCP compound packets manipulation.

Sender block information of SR RTCP reports. More...

`#include <rtcppkt.h>`

## Public Member Functions

| RTCPSenderInfo (void *si)
| RTCPSenderInfo (RTCPCompoundHandler::SenderInfo &si)
| ~RTCPSenderInfo ()
uint32 | getNTPTimestampInt () const
| Get integer part of the NTP timestamp of this packet.
uint32 | getNTPTimestampFrac () const
| Get fractional part of the NTP timestamp of this packet.
uint32 | getRTPTimestamp () const
uint32 | getPacketCount () const
| Get count of sent data packets.
uint32 | getOctetCount () const

## Detailed Description

Sender block information of SR RTCP reports.

Author
  Federico Montesino Pouzols fedem.nosp@m.p@al.nosp@m.tern..nosp@m.org

## Constructor & Destructor Documentation

## RTCPSenderInfo() [1/2]

RTCPSenderInfo::RTCPSenderInfo | ( | void * | si | ) |

inline

## RTCPSenderInfo() [2/2]

RTCPSenderInfo::RTCPSenderInfo | ( | RTCPCompoundHandler::SenderInfo & | si | ) |

inline

## ~RTCPSenderInfo()

RTCPSenderInfo::~RTCPSenderInfo | ( |  | ) |

inline

## Member Function Documentation

## getNTPTimestampFrac()

uint32 RTCPSenderInfo::getNTPTimestampFrac | ( |  | ) | const

inline

Get fractional part of the NTP timestamp of this packet.

See also
  NTP2Timeval

## getNTPTimestampInt()

uint32 RTCPSenderInfo::getNTPTimestampInt | ( |  | ) | const

inline

Get integer part of the NTP timestamp of this packet.

See also
  NTP2Timeval

## getOctetCount()

uint32 RTCPSenderInfo::getOctetCount | ( |  | ) | const

inline

## getPacketCount()

uint32 RTCPSenderInfo::getPacketCount | ( |  | ) | const

inline

Get count of sent data packets.

## getRTPTimestamp()

uint32 RTCPSenderInfo::getRTPTimestamp | ( |  | ) | const

inline

The documentation for this class was generated from the following file:

- rtcppkt.h